Bug 1096195 - CVE-2014-1738 CVE-2014-1737 kernel: block: floppy: privilege escalation via FDRAWCMD floppy ioctl command [fedora-all]
Summary: CVE-2014-1738 CVE-2014-1737 kernel: block: floppy: privilege escalation via F...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 20
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2014-1737, CVE-2014-1738
TreeView+ depends on / blocked
 
Reported: 2014-05-09 12:04 UTC by Petr Matousek
Modified: 2014-05-21 23:21 UTC (History)
9 users (show)

Fixed In Version: kernel-3.14.4-100.fc19
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-16 10:04:00 UTC


Attachments (Terms of Use)

Description Petr Matousek 2014-05-09 12:04:13 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, use the bodhi submission link noted
in the next comment(s).  This will include the bug IDs of this tracking
bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Reproducers, if any, will remain confidential and never be made public, unless done so by the security team.

[bug automatically created by: add-tracking-bugs]

Comment 1 Petr Matousek 2014-05-09 12:04:25 UTC
Use the following update submission link to create the Bodhi request for
this issue as it contains the top-level parent bug(s) as well as this
tracking bug.  This will ensure that all associated bugs get updated when
new packages are pushed to stable.

IMPORTANT: ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1094299,1096195

Comment 2 Josh Boyer 2014-05-09 12:45:36 UTC
Fixed in Fedora git.

Comment 3 Fedora Update System 2014-05-13 22:10:57 UTC
kernel-3.14.4-200.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kernel-3.14.4-200.fc20

Comment 4 Fedora Update System 2014-05-13 22:11:31 UTC
kernel-3.14.4-100.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kernel-3.14.4-100.fc19

Comment 5 Fedora Update System 2014-05-14 23:56:41 UTC
Package kernel-3.14.4-100.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.14.4-100.fc19'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6354/kernel-3.14.4-100.fc19
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-05-16 10:04:00 UTC
kernel-3.14.4-200.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-05-21 23:21:06 UTC
kernel-3.14.4-100.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.